#
# spec file for package aaa_skel (Version 2006.5.19)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           aaa_skel
License:        GPL
Group:          System/Fhs
Autoreqprov:    on
Summary:        Skeleton for Default Users
Version:        2006.5.19
Release:        0.3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         aaa_skel.tar.bz2

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
tar jxvfpC $RPM_SOURCE_DIR/aaa_skel.tar.bz2 $RPM_BUILD_ROOT

%_fixowner $RPM_BUILD_ROOT/etc

%_fixgroup $RPM_BUILD_ROOT/etc
find 
RPM_INSTALL_PREFIX=$RPM_BUILD_ROOT
export RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/etc/skel/.[^.]*
/etc/skel/*

%description
This package contains the skeleton layout of a user's home directory.




%changelog -n aaa_skel
* Fri May 19 2006 - werner@suse.de
- .inputrc: use `set' for show-all-if-ambiguous/unmodified
* Wed Mar 29 2006 - ro@suse.de
- added .inputrc with commented examples for bell-style (#156588)
* Fri Feb 24 2006 - mfabian@suse.de
- Bugzilla #152512: /etc/skel/Documents/.directory contains
  some non-UTF-8 garbage.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 08 2006 - olh@suse.de
- remove references to /etc/profile.dos from .bashrc
* Wed Nov 23 2005 - werner@suse.de
- Use UTF-8 examples in template of skeleton profile (bug #116865)
- Use english comments in template of skeleton exrc (bug #116867)
* Wed Nov 02 2005 - dmueller@suse.de
- don't build as root
* Tue Sep 06 2005 - ro@suse.de
- added .mozilla directory (#113238)
* Mon Aug 22 2005 - ro@suse.de
- skel/Documents to 700 (#106004)
* Mon Jun 13 2005 - mmj@suse.de
- /usr/local/bin -> /usr/bin in .muttrc
* Tue Feb 01 2005 - coolo@suse.de
- don't polute the exit value of interactive bash
* Fri Nov 05 2004 - mmj@suse.de
- Update .muttrc to something a little more SUSE'ish colorwise
* Sat Jun 05 2004 - mmj@suse.de
- Change from Wed Sep 10 14:53:59 CEST 2003 made mutt require
  gettext by mistake. [#41642]
* Wed Sep 17 2003 - mfabian@suse.de
- Bugzilla #31217: fix regexp in .muttrc to match *bold* in
  the body for non-ISO-8859-1 locales.
* Wed Sep 10 2003 - mmj@suse.de
- Use decent default gpg options for .muttrc [#30380]
* Tue Sep 02 2003 - ro@suse.de
- added ~/bin directory (#25630)
* Tue Sep 02 2003 - ro@suse.de
- fix typo in specfile (#29656)
* Wed Aug 06 2003 - adrian@suse.de
- remove sub directories in Documents again
* Thu Jul 24 2003 - olh@suse.de
- remove ~/.netscape on ppc*
* Thu Jun 12 2003 - kukuk@suse.de
- /etc/skel directory is part of filesystem
* Sat Apr 12 2003 - sndirsch@suse.de
- get rid of .xim skel file (Bug 26166)
* Sat Mar 15 2003 - adrian@suse.de
- create a ~/.fonts directory by default so users know where
  to copy fonts
* Thu Mar 13 2003 - adrian@suse.de
- fix typo
* Tue Mar 04 2003 - mfabian@suse.de
- improve /etc/skel/.xim: set XMODIFIERS="@im=local" for languages
  which don't need an input server to make sure compose is
  activated (mlterm needs this).
* Wed Feb 19 2003 - adrian@suse.de
- add three sub directorys to the default Document folder
* Mon Oct 28 2002 - sndirsch@suse.de
- removed X11 skel files (now in xf86 package)
* Thu Oct 10 2002 - mfabian@suse.de
- improve ~/.xim for Korean:
  use options '-wm' and '-wait' for ami in case the window manger
  is kde or windowmaker. For kde this doesn't improve anything,
  but it doesn't hurt either. For windowmaker this makes ami
  dock into the slit, which looks better.
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Mon Aug 26 2002 - sndirsch@suse.de
- .xinitrc: fixed NumLock setting (Bug #18248)
* Tue Jul 30 2002 - ro@suse.de
- removed old DISPLAY code from .bashrc
* Wed Jul 17 2002 - werner@suse.de
- Clean .bashrc, .profile, and .xsession script to fit /etc/profile
  expansion
* Fri Jun 14 2002 - sndirsch@suse.de
- /etc/skel/.xinitrc: handle Numlock depending on BIOS setting
  if KBD_NUMLOCK is set to "bios"
* Thu Jun 13 2002 - sndirsch@suse.de
- /etc/skel/.xinitrc: enable Numlock if KBD_NUMLOCK is set in
  /etc/sysconfig/keyboard
* Sun May 19 2002 - olh@suse.de
- keep netscape prefs also on ppc64
* Wed Mar 20 2002 - ro@suse.de
- removed .vimrc (vim has /etc/vimrc, this is not needed)
* Mon Mar 04 2002 - adrian@suse.de
- add /etc/skel/Documents folder
  (used in KDE file dialog)
* Tue Feb 12 2002 - ro@suse.de
- fix owner/group
* Mon Feb 11 2002 - ro@suse.de
- tar option for bz2 is "j"
* Fri Feb 01 2002 - mfabian@suse.de
- updated .xim (add path for atokx_client, add Wnn6 support,
  start all XIM servers with explicit setting of LANG and LC_ALL
  just to make sure).
* Tue Jan 29 2002 - ro@suse.de
- removed .kde
* Fri Jan 25 2002 - ro@suse.de
- removed .jazz (application creates newer file on startup)
* Fri Jan 25 2002 - ro@suse.de
- removed .lyxrc (current lyx doesn't even look at this anymore)
- removed .grok  (created at start of application anyway)
  (left .xtalkrc: application crashes without)
* Fri Jan 25 2002 - werner@suse.de
- Split Xemacs part of .emacs of into .xemacs/init.el
- Make .xemacs/init.el more handy (#12441)
* Wed Jan 02 2002 - kukuk@suse.de
- Remove .tex and .uitrc.* (are not needed anymore) [Bug #801]
- Remove .hotjava
- Remove .nc_keys (nc was dropped)
* Thu Nov 29 2001 - ro@suse.de
- removed sourcing of ~/.bashrc from ~/.profile
  /etc/profile does this
* Mon Oct 08 2001 - ro@suse.de
- removed .dayplan*, .nc_keys, .stonxrc, .xfm (#801)
* Tue Aug 21 2001 - ro@suse.de
- changed headline of .xsession from "-login" to "--login" (#9442)
* Thu Aug 16 2001 - werner@suse.de
- Add new .bashrc
* Mon Aug 13 2001 - cstein@suse.de
- removed obsolete .seyon/ and .gimprc
* Mon Aug 13 2001 - cstein@suse.de
- removed obsolete .susephone from /etc/skel
* Wed Aug 01 2001 - olh@suse.de
- update imaclinux.net in .netscape/bookmarks.html
  use www.suse.com instead of .de
* Fri Jun 22 2001 - cstein@suse.de
- corrected some things in .xinitrc
- added palm pilot support to .bashrc
- moved language settings from .bashrc into .profile (makes sense
  esp. for multilingual users)
- added some explanations and sample lines in .profile
* Thu Jun 21 2001 - cstein@suse.de
- rewrote .profile and .bashrc
- updated and corrected messages in .xim
* Mon May 21 2001 - ro@suse.de
- removed obsolete (read: completey failing dif)
* Fri Apr 27 2001 - ro@suse.de
- added public_html subdir
* Fri Apr 20 2001 - mfabian@suse.de
- updated .xim
* Wed Apr 11 2001 - kukuk@suse.de
- Use twm as Windowmanager only as fallback if we don't have wmlist
  installed [Bug #6903, #6811]
* Mon Mar 12 2001 - ro@suse.de
- updated .xserverrc.secure from werner
* Mon Feb 19 2001 - olh@suse.de
- fix specfile
* Sun Feb 18 2001 - olh@suse.de
- add twm to window manager list in .xinitrc
  (twm is always available)
* Sun Feb 18 2001 - olh@suse.de
- add .netscape/bookmarks for ppc (no valid netscape available)
* Fri Jan 26 2001 - ro@suse.de
- fixed .xim (was broken by mailer)
* Mon Jan 22 2001 - ro@suse.de
- updated .xim from mfabian
* Thu Jan 18 2001 - ro@suse.de
- added dir /etc/skel/.kde/share/config
* Mon Dec 11 2000 - werner@suse.de
- Sync /etc/skel/.xsession with sys.xsession of xdm
* Fri Oct 13 2000 - sndirsch@suse.de
- extended .xserverrc.secure as there are differences in executing
  XFree86 3.x and XFree86 4.x (aaa_skel.dif)
* Mon Sep 11 2000 - mfabian@suse.de
- use "tar IxvfpC" instead of "tar zxvfpC" to unpack bz2.
* Mon Sep 11 2000 - ro@suse.de
- switch src to bz2
- removed .zsh
- added .xim and hooks in .xinitrc and .xsession
* Fri Jul 07 2000 - ro@suse.de
- updated .urlview
* Mon Feb 28 2000 - ro@suse.de
- updated .exrc
* Thu Feb 24 2000 - werner@suse.de
- new Xmodmap with many commented examples
* Tue Jan 25 2000 - ro@suse.de
- added .vimrc
* Thu Jan 20 2000 - ro@suse.de
- updated .muttrc and .urlview
* Sat Dec 18 1999 - olh@suse.de
- remove .Xmodmap, this make Shift unuseable on ppc
* Thu Dec 09 1999 - ke@suse.de
- updated .susephone
- provide Group: field entry.
* Wed Dec 08 1999 - ro@suse.de
- updated .xinitrc, .xsessionrc
* Sun Oct 31 1999 - garloff@suse.de
- commented out display-message in bind cmds of .muttrc
- added comments to pager_index_lines and pager_context of .muttrc
* Mon Oct 25 1999 - ro@suse.de
- fixed typo in /etc/skel/.bashrc
* Wed Oct 13 1999 - garloff@suse.de
- .muttrc now with lots of config examples (commented out)
- source /etc/profile.dos in .bashrc (removed from /etc/profile)
* Wed Sep 29 1999 - ro@suse.de
- updated .urlview
* Wed Sep 29 1999 - ro@suse.de
- added .muttrc, .urlview
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Mar 15 1999 - ro@suse.de
- updated skel/.emacs
* Thu Jan 14 1999 - bs@suse.de
- set .xinitrc to node 755
* Thu Dec 10 1998 - bs@suse.de
- replaced startkde with kde
* Tue Dec 08 1998 - bs@suse.de
- fixed comment in .Xdefaults
* Sun Dec 06 1998 - bs@suse.de
- first version of own package.
